void checkTrigger() {
  pinMode(EXTWAKEpin, INPUT);// need to immediately check this pin

  if (digitalRead(EXTWAKEpin) == LOW) {//flag if HIGH, then the external wake circuit woke the board up
    externalWake = true;
  }

  //ADDED THIS STUFF IN HERE FOR THE "STILL ON" check
  Serial.println("");
  pinMode(stillONpin, INPUT_PULLUP);
  if (digitalRead(stillONpin)) {
    stillON = true;// may want to reverse this if triggering with a Normally Open stlye input
    Serial.println("Input is OPEN");
  }
  else
    Serial.println("Input is CLOSED");

  // *****************

  pinMode(DONEpin, OUTPUT);
  batteryVoltage = (4 - 3.5) / (712 - 621) ;
  batteryVoltage = analogRead(A0) * batteryVoltage + (4 - batteryVoltage * 712);


  pinMode(LEDpin, OUTPUT);// LED on Board
  digitalWrite(LEDpin, LOW); //LOW to turn on

  Serial.println("");
  if (externalWake)
    Serial.println("external wake");
  else {
    Serial.println("timer wake");
  }
  Serial.print("Battery Voltage = ");
  Serial.println(batteryVoltage);
  dtostrf(batteryVoltage, 3, 1, batteryBuf);//converts battery voltage float to char array
}
